> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment methods associated to a customer



## OpenAPI

````yaml /openapi.json get /payments/payment-methods
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /payments/payment-methods:
    get:
      tags:
        - payments
        - debug
      summary: Get payment methods associated to a customer
      operationId: PaymentsController_getCustomersPaymentMethods
      parameters:
        - name: id
          required: true
          in: query
          description: the id of the stripe customer
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCustomersPaymentMethodsOutput'
components:
  schemas:
    GetCustomersPaymentMethodsOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/PaymentMethodDto'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    PaymentMethodDto:
      type: object
      properties:
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        type:
          type: string
        id:
          type: string
          description: the id of the payment method
        status:
          type: string
        createdAt:
          format: date-time
          type: string
          description: the date of creation of the stripe customer
        updatedAt:
          format: date-time
          type: string
          description: the date of creation of the stripe customer
        paymentMethodType:
          type: string
          description: the type of the payment method
          enum:
            - card
            - sepa_debit
        mandateDocumentId:
          type: string
          description: the document id of the mandate, if applicable
        last4:
          type: string
          description: the last 4 digits of the payment method, if applicable
        expirationMonth:
          type: number
          description: the expiration month of payment method, if applicable
        expirationYear:
          type: number
          description: the expiration year of payment method, if applicable
        billingDetails:
          description: the billing details of payment method, if applicable
          allOf:
            - $ref: '#/components/schemas/BillingDetails'
      required:
        - metadata
        - type
        - id
        - status
        - createdAt
        - updatedAt
        - paymentMethodType
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value
    BillingDetails:
      type: object
      properties:
        name:
          type: string
          description: the name of the billing details
        email:
          type: string
          description: the email of the billing details
        phone:
          type: string
          description: the phone of the billing details
        address:
          description: the address of the billing details
          allOf:
            - $ref: '#/components/schemas/BillingAddress'
      required:
        - name
        - email
        - phone
        - address
    BillingAddress:
      type: object
      properties:
        city:
          type: string
          description: the city of the billing address
        country:
          type: string
          description: the country of the billing address
        line1:
          type: string
          description: the line1 of the billing address
        line2:
          type: string
          description: the line2 of the billing address
        postalCode:
          type: string
          description: the postal code of the billing address
        state:
          type: string
          description: the state of the billing address
      required:
        - city
        - country
        - line1
        - line2
        - postalCode
        - state

````